Post by SVN » Tue Aug 29, 2017 3:04 pm

Good morning,

I installed the wrong OCMOD version of a module (installed for OC1.5 instead of OC2.3).
I uninstalled it in OC and then I manually delleted the files on the ftp and in phpmyadmin.

Now I get the error,
Fatal error: Uncaught exception 'Exception' with message 'Error: Could not load model extension/module/.....!' in C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_system_engine_loader.php:59 Stack trace: #0
C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_catalog_controller_common_language.php(7): Loader->model('extension/modul...') #1 [internal function]: ControllerCommonLanguage->index(Array) #2 C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_system_engine_action.php(51): call_user_func_array(Array, Array) #3 C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_system_engine_loader.php(24): Action->execute(Object(Registry), Array) #4 C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-catalog_controller_common_header.php(198): Loader->controller('common/language') #5 [internal function]: ControllerCommonHeader->index(Array) #6 C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_system_engine_action.php(51): call_ in C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_system_engine_loader.php on line 59

It's a new offline store with xammp with version 2.3.0.2.

Can anyone help me ?

User avatar
SVN
Active Member

Posts

Joined
Mon Jan 03, 2011 11:59 pm

Post by SVN » Tue Aug 29, 2017 9:37 pm

SVN wrote:
Tue Aug 29, 2017 3:04 pm
Good morning,

I installed the wrong OCMOD version of a module (installed for OC1.5 instead of OC2.3).
I uninstalled it in OC and then I manually delleted the files on the ftp and in phpmyadmin.

Now I get the error,
Fatal error: Uncaught exception 'Exception' with message 'Error: Could not load model extension/module/.....!' in C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_system_engine_loader.php:59 Stack trace: #0
C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_catalog_controller_common_language.php(7): Loader->model('extension/modul...') #1 [internal function]: ControllerCommonLanguage->index(Array) #2 C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_system_engine_action.php(51): call_user_func_array(Array, Array) #3 C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_system_engine_loader.php(24): Action->execute(Object(Registry), Array) #4 C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-catalog_controller_common_header.php(198): Loader->controller('common/language') #5 [internal function]: ControllerCommonHeader->index(Array) #6 C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_system_engine_action.php(51): call_ in C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_system_engine_loader.php on line 59

It's a new offline store with xammp with version 2.3.0.2.

Can anyone help me ?
In the meantime I tried a lot of things and now finaly a bit of succes :-)
Installed the correct version of the extension, frontend works again, but now I have double menu item of the extension and when I click on it I get this error.

Fatal error: Uncaught exception 'Exception' with message 'Error: Table 'opencart.oc_importexport_template' doesn't exist<br />Error No: 1146<br />SELECT MAX(template_id) as max_id FROM oc_importexport_template' in C:\xampp\htdocs\opencart\system\library\db\mysqli.php:40 Stack trace: #0 C:\xampp\htdocs\opencart\system\storage\modification\system\library\db.php(85): DB\MySQLi->query('SELECT MAX(temp...', Array) #1 C:\xampp\htdocs\opencart\admin\model\extension\module\importexport.php(260): DB->query('SELECT MAX(temp...') #2 [internal function]: ModelExtensionimportexport->getMaxTemplateId() #3 C:\xampp\htdocs\opencart\vqmod\vqcache\vq2-system_storage_modification_system_engine_loader.php(178): call_user_func_array(Array, Array) #4 [internal function]: Loader->{closure}(Array, Array) #5 C:\xampp\htdocs\opencart\system\engine\proxy.php(25): call_user_func_array(Object(Closure), Array) #6 C:\xampp\htdocs\opencart\admin\controller\extension\module\importexport.php(252): Proxy->__call('ge in C:\xampp\htdocs\opencart\system\library\db\mysqli.php on line 40

I think it means that OC didn't make te right tables in the DB ?

User avatar
SVN
Active Member

Posts

Joined
Mon Jan 03, 2011 11:59 pm
Who is online

Users browsing this forum: No registered users and 17 guests